VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "MyObject"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' *********************************************************************
'  Copyright 2000-01 Karl E. Peterson, All Rights Reserved
'  http://www.mvps.org/vb
' *********************************************************************
'  CNotify.cls inspired by Grant Wickman <Grant.Wickman@primark.com>
' *********************************************************************
'  You are free to use this code within your own applications, but you
'  are expressly forbidden from selling or otherwise distributing this
'  source code without prior written consent.
' *********************************************************************
Option Explicit

Public Event MyEvent()

Private m_Client As CNotify
Private m_Tag As Variant

Private Sub Class_Terminate()
   ' Show that we've terminated.
   Debug.Print "MyObject(" & m_Tag & ")_Terminate"
End Sub

Public Property Set Notify(ByVal Client As CNotify)
   ' Hold a reference to client.
   Set m_Client = Client
End Property

Public Property Let Tag(ByVal NewVal As Variant)
   ' Store user-supplied data.
   m_Tag = NewVal
End Property

Public Property Get Tag() As Variant
   ' Return user-supplied data.
   Tag = m_Tag
End Property

Public Sub TestCallback()
   ' Something that requires an "event"
   If Not (m_Client Is Nothing) Then
      m_Client.CallNotify Me
   Else
      RaiseEvent MyEvent
   End If
End Sub


